神刀安全网

ubuntu启动ida报错找不到libgthread-2.0.so.0

换了电脑新装了ubuntu 15.04 64位,启动ida时报错“Error while loading shared libraries: libgthread-2.0.so.0”。这是因为ida需要32位的库而我的系统是64位的,所以要安装32位的库。

说缺少libgthread-2.0.so.0那我就先安装libgthread-2.0.so.0呗:

dpkg -S libgthread-2.0.so.0
sudo apt-get install libglib2.0-0:i386

完了启动ida又提示缺少另一个,再安又提示..得了,直接把32位的库都安了吧。

sudo apt-get update
sudo apt-get install ia32-libs

然而并没有成功,报错:

正在读取软件包列表...完成
正在分析软件包的依赖关系树
正在读取状态信息...完成
现在没有可用的软件包 ia32-libs,但是它被其它的软件包引用了。
这可能意味着这个缺失的软件包可能已经被废弃,
或者只能在其他发布源中找到
....

最终:

dpkg --print-architecture
dpkg --add-architecture i386
apt-get update
apt-get install iceweasel:i386

Reference

ubuntu14.04 64位 安装 ia32-libs库

Error while loading shared libraries: libgthread-2.0.so.0

64位Ubuntu系统安装32位兼容库

转载本站任何文章请注明:转载至神刀安全网,谢谢神刀安全网 » ubuntu启动ida报错找不到libgthread-2.0.so.0

分享到:更多 ()

评论 抢沙发

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址
分享按钮